## meep-mpi-default 1.1.1

=== debian/changelog ===
meep-mpi-default (1.1.1-10ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 28 Mar 2014 00:28:25 -0400

meep-mpi-default (1.1.1-10build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 01:30:44 -0500

meep-mpi-default (1.1.1-10) unstable; urgency=low

  * debian/rules: mv /usr/include/meep-mpi-default to /usr/include/meep
                  (Closes: #711765)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jun 2013 11:00:00 +0200

meep-mpi-default (1.1.1-9) unstable; urgency=low

  * debian/control: add more Conflicts: (Closes: #677459, #677462)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Jun 2012 21:00:00 +0200

meep-mpi-default (1.1.1-8) unstable; urgency=low

  * this package is a spin-off of meep-openmpi (1.1.1-8)
    As requested by users this package is linked against mpi-default
  * debian/control: depend on debhelper >=9
  * debian/control: standards version changed to 3.9.3 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jun 2012 18:00:00 +0200
