=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package = meep-mpi-default
soname = 6
lm = lib$(package)$(soname)
lmd = lib$(package)-dev

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-libctl=/usr/share/libctl3 \
	--enable-shared --with-pic --enable-cxx \
	--with-mpi=yes

configure: configure-stamp-mpi-default

configure-stamp-mpi-default: 
	dh_testdir
	dh_autotools-dev_updateconfig
	mkdir -p debian/build-mpi-default
	cat configure | \
		sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-mpi-default'/g" |\
		sed "s/PACKAGE='meep'/PACKAGE='meep-mpi-default'/g" > configure-mpi-default
	chmod 755 configure-mpi-default
	cd debian/build-mpi-default && \
	F77=gfortran ../../configure-mpi-default $(CONFIGURE_FLAGS) 
	rm -f configure-mpi-default
	touch configure-stamp-mpi-default

build: build-arch build-indep
build-arch: build-stamp-mpi-default
build-indep: build-stamp-mpi-default

build-stamp-mpi-default: configure-stamp-mpi-default 
	dh_testdir
	$(MAKE) -C debian/build-mpi-default/
	touch build-stamp-mpi-default

clean:
	dh_testdir
	dh_testroot
	-rm -rf debian/build-mpi-default
	dh_autotools-dev_restoreconfig
	dh_clean configure-stamp* build-stamp* install-stamp*

install: install-mpi-default
        # Lintian overrides
	set -e; \
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

install-mpi-default: build-stamp-mpi-default
	dh_testdir
	dh_testroot
	mkdir -p debian/build-mpi-default/tmpinst
	$(MAKE) -C debian/build-mpi-default/ install prefix=$(CURDIR)/debian/build-mpi-default/tmpinst/usr
	/usr/bin/chrpath -d debian/build-mpi-default/tmpinst/usr/lib/libmeep_mpi-default.so
	/usr/bin/chrpath -d debian/build-mpi-default/tmpinst/usr/bin/meep-mpi-default
	mv debian/build-mpi-default/tmpinst/usr/include/meep-mpi-default debian/build-mpi-default/tmpinst/usr/include/meep
	dh_install -pmeep-mpi-default -p$(lm) -p$(lmd) \
                --sourcedir=debian/build-mpi-default/tmpinst

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot 
	dh_installdocs
	dh_installman
	dh_installman -pmeep-mpi-default debian/meep-mpi-default.1
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip 
	dh_compress
	dh_fixperms 
	dh_makeshlibs -p$(lm)
	dh_installdeb
	dh_shlibdeps -pmeep-mpi-default
	dh_shlibdeps -p$(lm)
	dh_gencontrol
	dh_md5sums
	dh_builddeb -pmeep-mpi-default -p$(lm) -p$(lmd)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure install-mpi-default
