=== debian/control ===
--- 
+++ 
@@ -1,12 +1,25 @@
 Source: meep-mpi-default
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: gfortran, debhelper (>= 9), autotools-dev, libctl-dev (>= 3.0.3-3), pkg-config, libharminv-dev (>= 1.1), zlib1g-dev, libfftw3-dev, libhdf5-dev, libgsl0-dev, liblapack-dev, mpi-default-dev, libatlas-base-dev, chrpath, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: gfortran, 
+  debhelper (>= 9), 
+  autotools-dev, 
+  dh-autoreconf,
+  libctl-dev (>= 3.2.2-2), 
+  pkg-config, 
+  libharminv-dev (>= 1.1), 
+  zlib1g-dev, 
+  libfftw3-dev, 
+  libhdf5-mpi-dev, 
+  libgsl0-dev, 
+  liblapack-dev, 
+  mpi-default-dev, 
+  libatlas-base-dev, 
+  chrpath, 
+  dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
-DM-Upload-Allowed: yes
 
 Package: meep-mpi-default
 Architecture: any
@@ -36,7 +49,7 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default6
+Package: libmeep-mpi-default7
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -69,7 +82,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default6 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default7 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
