## meep-mpi-default 1.3

=== debian/changelog ===
meep-mpi-default (1.3-3build5) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:26 +0000

meep-mpi-default (1.3-3build4) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:51:14 +0000

meep-mpi-default (1.3-3build3) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:37:08 +0000

meep-mpi-default (1.3-3build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 19:49:59 +0000

meep-mpi-default (1.3-3build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:31:44 +0000

meep-mpi-default (1.3-3) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg for the patch (Closes: #807213)
  * debian/rules: put correct path to --with-libctl

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 20 Dec 2015 16:20:00 +0100

meep-mpi-default (1.3-2) unstable; urgency=medium

  * debian/control: add conflict with old version of libs (Closes: #790746)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Jul 2015 09:20:00 +0200

meep-mpi-default (1.3-1) unstable; urgency=medium

  * upstream version (Closes: #788691)
  * soname changed to 8
  * debian/control: Standards Version to 3.9.6. (No changes needed).

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 22 Jun 2015 19:20:00 +0200
