=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: meep-mpi-default
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran, 
   debhelper (>= 9), 
   autotools-dev, 
@@ -12,13 +13,13 @@
   zlib1g-dev, 
   libfftw3-dev, 
   libhdf5-mpi-dev, 
-  libgsl0-dev, 
+  libgsl-dev, 
   liblapack-dev, 
   mpi-default-dev, 
   libatlas-base-dev, 
   chrpath, 
   dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Meep
 
 Package: meep-mpi-default
@@ -49,9 +50,10 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default7
+Package: libmeep-mpi-default8
 Section: libs
 Architecture: any
+Conflicts: libmeep-mpi-default6, libmeep-mpi-default7
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
@@ -82,7 +84,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default7 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default8 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
  software package developed at MIT to model electromagnetic systems.
