=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # This has to be exported to make some magic below work.
 #export DH_OPTIONS
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 install_file    = /usr/bin/install -p -o root -g root -m 644
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -24,25 +26,26 @@
 	--with-libctl=/usr/share/libctl \
 	--with-gcc-arch=no \
 	--enable-shared --with-pic --enable-cxx \
-	--with-mpi=yes
+	--with-mpi=yes \
+	--enable-maintainer-mode
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	mv configure configure.org
-	cat configure.org | \
-       	 sed "s/PACKAGE_NAME='meep'/PACKAGE_NAME='meep-mpi-default'/g" |\
-	 sed "s/PACKAGE='meep'/PACKAGE='meep-mpi-default'/g" > configure
-	chmod 755 configure
 	F77=gfortran dh_auto_configure -- $(CONFIGURE_FLAGS)
 
 override_dh_auto_install:
-	# cleanup for later builds
-	if test -f configure.org; then mv configure.org configure; fi
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.md
 	dh_auto_install
-	mv debian/tmp/usr/include/meep-mpi-default debian/tmp/usr/include/meep
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyc
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.pyo
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.a
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/*.la
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyc
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.pyo
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.a
+	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/meep/mpb/*.la
 
 override_dh_clean:
 	# we do not need this anymore
@@ -50,7 +53,20 @@
 	dh_clean
 
 override_dh_auto_test:
-	echo "tests disabled for now"
-	#-make check
-	#cat tests/test-suite.log
-
+	echo ${arch}
+	#if [ "${arch}" = "armel" ] || \
+	#   [ "${arch}" = "mips" ] || \
+	#   [ "${arch}" = "mipsel" ] || \
+	#   [ "${arch}" = "powerpc" ] || \
+	#   [ "${arch}" = "sparc" ] ; then \
+	#  echo "Do not make tests on this architecture" ;\
+	#else \
+	#  echo "Do make tests on this architecture" ;\
+	#  make check; \
+	#  find; \
+	#  cat python/test-suite.log; \
+	#fi
+	# check whether testsuite runs everywhere
+	make check; \
+	cat tests/test-suite.log
+#	cat python/test-suite.log
