## meep-mpi-default 1.12.0

=== debian/changelog ===
meep-mpi-default (1.12.0-2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:35 +0100

meep-mpi-default (1.12.0-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:36:42 +0000

meep-mpi-default (1.12.0-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: change dependency from atlas to libblas-dev
                    (see MBF Mail and #943712)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Dec 2019 19:47:30 +0100

meep-mpi-default (1.12.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump SONAME to 17
  * debian/control: depend on libctl >= 4.4.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Dec 2019 12:47:30 +0100

meep-mpi-default (1.11.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump SONAME to 16
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/control: use dh12
  * add "Build-Depends: libgdsii-dev"
    Thanks to Ruben for the suggestion.
  * disable tests on some architectures
    (they still last too long)
  * build python3 package (Closes: #937006)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Oct 2019 21:00:55 +0000
