=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 11)
-	, libctl-dev (>= 4.1.4-2)
+	, debhelper (>= 12)
+	, libctl-dev (>= 4.4.0)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -13,15 +13,16 @@
 	, libgsl-dev
 	, liblapack-dev
 	, mpi-default-dev
-	, libatlas-base-dev
+	, libblas-dev
 	, chrpath
 	, dpkg-dev (>= 1.16.1~)
         , swig
-        , python-dev
-        , python-numpy
-        , python-h5py
+        , python3-dev
+        , python3-numpy
+        , python3-h5py
 	, mpi-default-bin
-Standards-Version: 4.3.0
+	, libgdsii-dev
+Standards-Version: 4.4.1
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-mpi-default
 Vcs-Git: https://salsa.debian.org/alteholz/meep-mpi-default.git
@@ -29,6 +30,7 @@
 Package: meep-mpi-default
 Architecture: any
 Depends: ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
+Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -60,14 +62,39 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default12
+Package: libmeep-mpi-default17
 Section: libs
 Architecture: any
-Conflicts: libmeep-mpi-default6, libmeep-mpi-default7, libmeep-mpi-default8
-	, libmeep-openmpi6, libmeep-openmpi7, libmeep-openmpi8, libmeep-openmpi12
-        , libmeep-lam4-6, libmeep-lam4-7, libmeep-lam4-8, libmeep-lam4-12
-        , libmeep-mpich2-6, libmeep-mpich2-7, libmeep-mpich2-8, libmeep-mpich2-12
-        , libmeep6, libmeep7, libmeep8, libmeep10, libmeep12
+Conflicts: libmeep-mpi-default6
+	, libmeep-mpi-default7
+	, libmeep-mpi-default8
+	, libmeep-mpi-default12
+	, libmeep-mpi-default16
+	, libmeep-openmpi6
+	, libmeep-openmpi7
+	, libmeep-openmpi8
+	, libmeep-openmpi12
+	, libmeep-openmpi16
+	, libmeep-openmpi17
+        , libmeep-lam4-6
+	, libmeep-lam4-7
+	, libmeep-lam4-8
+	, libmeep-lam4-12
+	, libmeep-lam4-16
+	, libmeep-lam4-17
+        , libmeep-mpich2-6
+	, libmeep-mpich2-7
+	, libmeep-mpich2-8
+	, libmeep-mpich2-12
+	, libmeep-mpich2-16
+	, libmeep-mpich2-17
+        , libmeep6
+	, libmeep7
+	, libmeep8
+	, libmeep10
+	, libmeep12
+	, libmeep16
+	, libmeep17
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
@@ -104,7 +131,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default12 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default17 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -136,14 +163,14 @@
  .
  This package contains some files for developing software linked to MPICH2.
 
-Package: python-meep-mpi-default
+Package: python3-meep-mpi-default
 Section: python
 Architecture: any
-Depends: libmeep-mpi-default12 (= ${binary:Version})
+Depends: libmeep-mpi-default17 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
-        , python-numpy
-        , python
+        , python3-numpy
+        , python3
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
