=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper (>= 12)
+	, debhelper-compat (= 12)
 	, libctl-dev (>= 4.4.0)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
@@ -22,7 +22,7 @@
         , python3-h5py
 	, mpi-default-bin
 	, libgdsii-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-mpi-default
 Vcs-Git: https://salsa.debian.org/alteholz/meep-mpi-default.git
@@ -30,6 +30,9 @@
 Package: meep-mpi-default
 Architecture: any
 Depends: ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
+Conflicts: meep-openmpi
+        , meep-mpich2
+        , meep
 Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
@@ -62,7 +65,7 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default17
+Package: libmeep-mpi-default22
 Section: libs
 Architecture: any
 Conflicts: libmeep-mpi-default6
@@ -70,24 +73,28 @@
 	, libmeep-mpi-default8
 	, libmeep-mpi-default12
 	, libmeep-mpi-default16
+	, libmeep-mpi-default17
 	, libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
 	, libmeep-openmpi12
 	, libmeep-openmpi16
 	, libmeep-openmpi17
+	, libmeep-openmpi22
         , libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
 	, libmeep-lam4-12
 	, libmeep-lam4-16
 	, libmeep-lam4-17
+	, libmeep-lam4-22
         , libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
 	, libmeep-mpich2-12
 	, libmeep-mpich2-16
 	, libmeep-mpich2-17
+	, libmeep-mpich2-22
         , libmeep6
 	, libmeep7
 	, libmeep8
@@ -95,6 +102,7 @@
 	, libmeep12
 	, libmeep16
 	, libmeep17
+	, libmeep22
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
@@ -131,7 +139,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default17 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default22 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -166,7 +174,7 @@
 Package: python3-meep-mpi-default
 Section: python
 Architecture: any
-Depends: libmeep-mpi-default17 (= ${binary:Version})
+Depends: libmeep-mpi-default22 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
