## meep-mpi-default 1.17.1

=== debian/changelog ===
meep-mpi-default (1.17.1-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 03 Feb 2021 00:00:02 +0100

meep-mpi-default (1.17.1-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable
  * soname bump from 22 to 23

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Jan 2021 19:29:47 +0000

meep-mpi-default (1.16.1-3) experimental; urgency=medium

  * upload to experimental
  * debian/control: depend on mpb/libctl built with guile-3.0
                    (Closes: #969686)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 14 Dec 2020 23:01:03 +0100

meep-mpi-default (1.16.1-2) unstable; urgency=medium

  * upload source
  * debian/copyright: add m4 file

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 08 Dec 2020 23:01:03 +0100
