=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
 	, debhelper-compat (= 12)
-	, libctl-dev (>= 4.4.0)
+	, libctl-dev (>= 4.5.0-8)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
 	, zlib1g-dev
@@ -65,7 +65,7 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default22
+Package: libmeep-mpi-default23
 Section: libs
 Architecture: any
 Conflicts: libmeep-mpi-default6
@@ -74,6 +74,7 @@
 	, libmeep-mpi-default12
 	, libmeep-mpi-default16
 	, libmeep-mpi-default17
+	, libmeep-mpi-default22
 	, libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
@@ -81,6 +82,7 @@
 	, libmeep-openmpi16
 	, libmeep-openmpi17
 	, libmeep-openmpi22
+	, libmeep-openmpi23
         , libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -88,6 +90,7 @@
 	, libmeep-lam4-16
 	, libmeep-lam4-17
 	, libmeep-lam4-22
+	, libmeep-lam4-23
         , libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
@@ -95,6 +98,7 @@
 	, libmeep-mpich2-16
 	, libmeep-mpich2-17
 	, libmeep-mpich2-22
+	, libmeep-mpich2-23
         , libmeep6
 	, libmeep7
 	, libmeep8
@@ -103,6 +107,7 @@
 	, libmeep16
 	, libmeep17
 	, libmeep22
+	, libmeep23
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
@@ -139,7 +144,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default22 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default23 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -174,7 +179,7 @@
 Package: python3-meep-mpi-default
 Section: python
 Architecture: any
-Depends: libmeep-mpi-default22 (= ${binary:Version})
+Depends: libmeep-mpi-default23 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
