## meep-mpi-default 1.22.0

=== debian/changelog ===
meep-mpi-default (1.22.0-3) unstable; urgency=medium

  * really fix build on i386

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Mar 2022 23:32:19 +0100

meep-mpi-default (1.22.0-2) unstable; urgency=medium

  * upload sources

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Mar 2022 18:32:19 +0100

meep-mpi-default (1.22.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: recommend libopenblas0 instead of libopenblas-base
                    (Closes: #994472)
  * bump soname from 23 to 27
  * fix build on i386

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Mar 2022 23:32:19 +0100
