=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: gfortran
-	, debhelper-compat (= 12)
+	, debhelper-compat (= 13)
+	, quilt
 	, libctl-dev (>= 4.5.0-8)
 	, pkg-config
 	, libharminv-dev (>= 1.4.1)
@@ -22,7 +23,7 @@
         , python3-h5py
 	, mpi-default-bin
 	, libgdsii-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://meep.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/alteholz/meep-mpi-default
 Vcs-Git: https://salsa.debian.org/alteholz/meep-mpi-default.git
@@ -33,7 +34,7 @@
 Conflicts: meep-openmpi
         , meep-mpich2
         , meep
-Recommends: libopenblas-base | libatlas3-base | libmkl-rt | libblas.so.3
+Recommends: libopenblas0 | libatlas3-base | libmkl-rt | libblas.so.3
 Description: software package for FDTD simulation, parallel (OpenMPI) version
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -65,7 +66,7 @@
  .
  This package contains the MPICH2 version of the software.
 
-Package: libmeep-mpi-default23
+Package: libmeep-mpi-default27
 Section: libs
 Architecture: any
 Conflicts: libmeep-mpi-default6
@@ -75,6 +76,7 @@
 	, libmeep-mpi-default16
 	, libmeep-mpi-default17
 	, libmeep-mpi-default22
+	, libmeep-mpi-default23
 	, libmeep-openmpi6
 	, libmeep-openmpi7
 	, libmeep-openmpi8
@@ -83,6 +85,7 @@
 	, libmeep-openmpi17
 	, libmeep-openmpi22
 	, libmeep-openmpi23
+	, libmeep-openmpi27
         , libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -108,6 +111,7 @@
 	, libmeep17
 	, libmeep22
 	, libmeep23
+	, libmeep27
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
@@ -144,7 +148,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-openmpi-dev, libmeep-lam4-dev, libmeep-mpich2-dev
-Depends: libmeep-mpi-default23 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-mpi-default27 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -179,7 +183,7 @@
 Package: python3-meep-mpi-default
 Section: python
 Architecture: any
-Depends: libmeep-mpi-default23 (= ${binary:Version})
+Depends: libmeep-mpi-default27 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
